Transfer Holder

Transfer holding control of an electronic trade document to another party. Used when the current holder needs to transfer possession of the document (e.g., to a consignee or bank).

File Upload Format (Base64 Data URI)

For endpoints that accept file inputs, files must be submitted as a Base64-encoded Data URI string in the document field.

Format
data:<mimeType>;name=<filename>;base64,<base64EncodedContent>

Example
json
{ "document": "data:application/octet-stream;name=BL-0xd7.tt;base64,ewogICJAY29udGV4dCI6IFsKICAgICJodHRwcz..." }

Notes

  • Requires End User approval via redirect + passkeys
  • Does not change ownership
  • Integrating System must store updated holder state

This API returns a URL with sessionId.
Use GET /auth/session-response?sessionId=<sessionId> to retrieve the session result.

Body Params
string
required

Wallet identifier used to authorize and sign the transfer transaction.

string

The blockchain address that will become the new holder after transfer. Only one of holderAddress or holderDomain should be provided.

string

The domain that will become the new holder after transfer. Only one of holderAddress or holderDomain should be provided.

string

Additional details or comments to be recorded with the transaction.

file
required

Signed document file whose metadata contains the targetHash used to determine the token identifier.

Headers
string

Unique key to ensure idempotency for API requests.

string

Unique external ID for tracking purposes, can be used for debugging and analytics.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json